Please take a look at the following pice of (probably inefficient) code: (setq ee1 (entsel " Pick centrepoint of text: ")) (setq ee (car ee1)) (if ee (progn (setq e (entget ee)) (setq n (cdr (assoc 8 e))) (setq pt1 (cadr ee1)) (command "LAYER" "SET" n "") )) Here I am trying to do a number of things at once - pick an entity, capture its layer, and save the point coordinates of the actual pick. I would like to use an OSNAP "Near" in the entsel operation, and I would like this to be automatic. It makes no difference what the current setting of OSNAP is when this code is run, you are merely presented with a pickbox on the screen with no OSNAP to help you. You can call OSNAP Near on the fly during the entsel operation, but I would like this to be automatic. I tried adding OSNAP to the entsel line of code, but kept getting "too many arguments" errors. How can I invoke "Near" during the "entsel"? thanks!